You are not logged in.

#1 2014-06-06 00:31:36

nomorewindows
Member
Registered: 2010-04-03
Posts: 3,136

[Solved]youtube-viewer broken by perl updates

Can't locate Term/UI.pm in @INC (you may need to install the Term::UI module) (@INC contains: /usr/lib/perl5/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/core_perl /usr/share/perl5/core_perl .) at /usr/bin/youtube-viewer line 129.

Then after installing perl-term-ui we get:

Base class package "Log::Message::Simple" is empty.
    (Perhaps you need to 'use' the module which defines that package first,
    or make that module available in @INC (@INC contains: /usr/lib/perl5/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/core_perl /usr/share/perl5/core_perl .).
 at /usr/share/perl5/vendor_perl/Term/UI/History.pm line 6.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/Term/UI/History.pm line 6.
Compilation failed in require at /usr/share/perl5/vendor_perl/Term/UI.pm line 9.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/Term/UI.pm line 9.
Compilation failed in require at /usr/bin/youtube-viewer line 129.

Even if we install perl-log-message.

Last edited by nomorewindows (2014-06-06 19:58:28)


I may have to CONSOLE you about your usage of ridiculously easy graphical interfaces...
Look ma, no mouse.

Offline

#2 2014-06-06 08:24:50

cirrus
Member
From: Glasgow Scotland
Registered: 2012-08-24
Posts: 199
Website

Re: [Solved]youtube-viewer broken by perl updates

same same


Registered Linux User #544546
   Time you enjoyed wasting was not wasted. --John Lennon.

Offline

#3 2014-06-06 10:25:21

karol
Archivist
Registered: 2009-05-06
Posts: 25,440

Re: [Solved]youtube-viewer broken by perl updates

What version of youtube-viewer are you using? Have you opened a bug report?

Offline

#4 2014-06-06 12:38:49

nomorewindows
Member
Registered: 2010-04-03
Posts: 3,136

Re: [Solved]youtube-viewer broken by perl updates

This is the one from the repos.


I may have to CONSOLE you about your usage of ridiculously easy graphical interfaces...
Look ma, no mouse.

Offline

#5 2014-06-06 19:09:25

Stefan Husmann
Member
From: Germany
Registered: 2007-08-07
Posts: 1,047

Re: [Solved]youtube-viewer broken by perl updates

Works fine here with 2014.06.04-1 from the repos.

Offline

#6 2014-06-06 19:46:51

denspirit
Member
From: Belarus
Registered: 2012-06-11
Posts: 9

Re: [Solved]youtube-viewer broken by perl updates

It seems we need to install these packages:

perl-log-message perl-log-message-simple perl-term-ui

It does the trick.

Offline

#7 2014-06-10 15:40:05

Herbalist
Member
Registered: 2014-01-12
Posts: 30

Re: [Solved]youtube-viewer broken by perl updates

working fine after installing the packages suggested by denspirit.

Offline

#8 2014-06-12 17:10:09

w0ng
Member
From: Australia
Registered: 2009-06-04
Posts: 88
Website

Re: [Solved]youtube-viewer broken by perl updates

youtube-viewer 3.1.1 no longer requires Term::UI, Log::Message or Log::Message::Simple.

https://gist.github.com/w0ng/0e110a900de7e6223bd4

Offline

Board footer

Powered by FluxBB